#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n,m,i,l,r,x,br;
    scanf("%d%d",&n,&m);
    vector<pair<int,int>> vage(n);

    for(pair<int,int> &a: vage)
        scanf("%d%d",&a.first,&a.second);


    while(m--){
        scanf("%d%d%d",&l,&r,&x);
        br=0;
        for(int i=l-1;i<r;i++){
            if(vage[i].first<=x && vage[i].second>=x)br++;
        }
        printf("%d",br);
    }
    return 0;
}